> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dial a new conference participant

> Dials a new conference participant



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/conference-participants.yml post /texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants
openapi: 3.1.0
info:
  title: Telnyx TeXML Conference Participants API
  version: 2.0.0
  description: API for managing TeXML Conferences and Participants.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants:
    post:
      tags:
        - TeXML REST Commands
      summary: Dial a new conference participant
      description: Dials a new conference participant
      operationId: DialTexmlConferenceParticipant
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/ConferenceSid'
      requestBody:
        description: Dial Conference Participant request object
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/DialConferenceParticipantRequest'
      responses:
        '200':
          $ref: '#/components/responses/DialParticipantResponse'
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.texml.accounts.conferences.participants.participants(
              'conference_sid',
              { account_sid: 'account_sid' },
            );


            console.log(response.account_sid);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            response =
            client.texml.accounts.conferences.participants.participants(
                conference_sid="conference_sid",
                account_sid="account_sid",
            )

            print(response.account_sid)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Texml.Accounts.Conferences.Participants.Participants(\n\t\tcontext.TODO(),\n\t\t\"conference_sid\",\n\t\ttelnyx.TexmlAccountConferenceParticipantParticipantsParams{\n\t\t\tAccountSid: \"account_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.AccountSid)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantParticipantsParams;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantParticipantsResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ParticipantParticipantsParams params = ParticipantParticipantsParams.builder()
                        .accountSid("account_sid")
                        .conferenceSid("conference_sid")
                        .build();
                    ParticipantParticipantsResponse response = client.texml().accounts().conferences().participants().participants(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.texml.accounts.conferences.participants.participants("conference_sid",
            account_sid: "account_sid")


            puts(response)
        - lang: CLI
          source: |-
            telnyx texml:accounts:conferences:participants participants \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --conference-sid conference_sid
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    ConferenceSid:
      name: conference_sid
      in: path
      required: true
      description: The ConferenceSid that uniquely identifies a conference.
      schema:
        type: string
  schemas:
    DialConferenceParticipantRequest:
      type: object
      title: Create Conference Participant Request
      properties:
        Beep:
          description: >-
            Whether to play a notification beep to the conference when the
            participant enters and exits.
          example: onExit
          type: string
          enum:
            - 'true'
            - 'false'
            - onEnter
            - onExit
        StatusCallback:
          description: >-
            URL destination for Telnyx to send status callback events to for the
            call.
          example: https://www.example.com/callback
          type: string
        StatusCallbackMethod:
          description: HTTP request type used for `StatusCallback`.
          example: GET
          type: string
          enum:
            - GET
            - POST
        StatusCallbackEvent:
          description: >-
            The changes to the call's state that should generate a call to
            `StatusCallback`. Can be: `initiated`, `ringing`, `answered`, and
            `completed`. Separate multiple values with a space. The default
            value is `completed`.
          example: answered completed
          type: string
        To:
          description: >-
            The phone number of the called party. Phone numbers are formatted
            with a `+` and country code.
          example: '+16175551212'
          type: string
        From:
          description: >-
            The phone number of the party that initiated the call. Phone numbers
            are formatted with a `+` and country code.
          example: '+16175551212'
          type: string
        Timeout:
          description: >-
            The number of seconds that we should allow the phone to ring before
            assuming there is no answer. Can be an integer between 5 and 120,
            inclusive. The default value is 30.
          example: 30
          type: integer
          x-stainless-param: timeout_seconds
        Muted:
          description: Whether the participant should be muted.
          example: true
          type: boolean
        StartConferenceOnEnter:
          description: >-
            Whether to start the conference when the participant enters.
            Defaults to `true`.
          example: false
          type: boolean
        EndConferenceOnExit:
          description: >-
            Whether to end the conference when the participant leaves. Defaults
            to `false`.
          example: true
          type: boolean
        Label:
          description: >-
            A unique label for the participant that will be added to the
            conference. The label can be used to reference the participant for
            updates via the TeXML REST API.
          example: customer
          type: string
        EarlyMedia:
          description: >-
            Whether participant shall be bridged to conference before the
            participant answers (from early media if available). Defaults to
            `false`.
          example: true
          type: boolean
          default: false
        ConferenceStatusCallback:
          description: The URL the conference callbacks will be sent to.
          example: https://example.com/conference_status_callback
          type: string
        ConferenceStatusCallbackMethod:
          description: >-
            HTTP request type used for `ConferenceStatusCallback`. Defaults to
            `POST`.
          example: GET
          type: string
          enum:
            - GET
            - POST
        ConferenceStatusCallbackEvent:
          description: >-
            The changes to the conference's state that should generate a call to
            `ConferenceStatusCallback`. Can be: `start`, `end`, `join` and
            `leave`. Separate multiple values with a space. By default no
            callbacks are sent.
          example: start end join leave
          type: string
        WaitUrl:
          description: >-
            The URL to call for an audio file to play while the participant is
            waiting for the conference to start.
          example: https://www.example.com/wait_music.mp3
          type: string
        MaxParticipants:
          description: >-
            The maximum number of participants in the conference. Can be a
            positive integer from 2 to 800. The default value is 250.
          example: 30
          type: integer
        Coaching:
          description: >-
            Whether the participant is coaching another call. When `true`,
            `CallSidToCoach` has to be given.
          example: false
          type: boolean
        CallSidToCoach:
          description: >-
            The SID of the participant who is being coached. The participant
            being coached is the only participant who can hear the participant
            who is coaching.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
          type: string
        CallerId:
          description: >-
            To be used as the caller id name (SIP From Display Name) presented
            to the destination (`To` number). The string should have a maximum
            of 128 characters, containing only letters, numbers, spaces, and
            `-_~!.+` special characters. If ommited, the display name will be
            the same as the number in the `From` field.
          example: Info
          type: string
        TimeLimit:
          description: The maximum duration of the call in seconds.
          example: 30
          type: integer
        MachineDetection:
          description: >-
            Whether to detect if a human or an answering machine picked up the
            call. Use `Enable` if you would like to ne notified as soon as the
            called party is identified. Use `DetectMessageEnd`, if you would
            like to leave a message on an answering machine.
          example: Enable
          type: string
          enum:
            - Enable
            - DetectMessageEnd
        MachineDetectionTimeout:
          description: >-
            How long answering machine detection should go on for before sending
            an `Unknown` result. Given in milliseconds.
          example: 1000
          type: integer
        MachineDetectionSpeechThreshold:
          description: >-
            Maximum threshold of a human greeting. If greeting longer than this
            value, considered machine. Ignored when `premium` detection is used.
          example: 2000
          default: 3500
          type: integer
        MachineDetectionSpeechEndThreshold:
          description: >-
            Silence duration threshold after a greeting message or voice for it
            be considered human. Ignored when `premium` detection is used.
          example: 2000
          default: 800
          type: integer
        MachineDetectionSilenceTimeout:
          description: >-
            If initial silence duration is greater than this value, consider it
            a machine. Ignored when `premium` detection is used.
          example: 2000
          default: 3500
          type: integer
        AmdStatusCallback:
          description: The URL the result of answering machine detection will be sent to.
          example: https://www.example.com/amd_result
          type: string
        AmdStatusCallbackMethod:
          description: HTTP request type used for `AmdStatusCallback`. Defaults to `POST`.
          example: GET
          type: string
          enum:
            - GET
            - POST
        ApplicationSid:
          description: >-
            The SID of the TeXML application that will handle the new
            participant's call. Required unless joining an existing conference
            by its ConferenceSid.
          example: '1846572522338780702'
          type: string
        CancelPlaybackOnMachineDetection:
          description: >-
            Whether to cancel ongoing playback on `machine` detection. Defaults
            to `true`.
          default: true
          example: false
          type: boolean
        CancelPlaybackOnDetectMessageEnd:
          description: >-
            Whether to cancel ongoing playback on `greeting ended` detection.
            Defaults to `true`.
          default: true
          example: false
          type: boolean
        PreferredCodecs:
          description: The list of comma-separated codecs to be offered on a call.
          example: PCMA,PCMU
          type: string
        Record:
          description: >-
            Whether to record the entire participant's call leg. Defaults to
            `false`.
          example: false
          type: boolean
        RecordingChannels:
          description: The number of channels in the final recording. Defaults to `mono`.
          example: dual
          type: string
          enum:
            - mono
            - dual
        RecordingStatusCallback:
          description: The URL the recording callbacks will be sent to.
          example: https://example.com/recording_status_callback
          type: string
        RecordingStatusCallbackMethod:
          description: >-
            HTTP request type used for `RecordingStatusCallback`. Defaults to
            `POST`.
          example: GET
          type: string
          enum:
            - GET
            - POST
        RecordingStatusCallbackEvent:
          description: >-
            The changes to the recording's state that should generate a call to
            `RecoridngStatusCallback`. Can be: `in-progress`, `completed` and
            `absent`. Separate multiple values with a space. Defaults to
            `completed`.
          example: in-progress completed absent
          type: string
        RecordingTrack:
          description: The audio track to record for the call. The default is `both`.
          example: inbound
          type: string
          enum:
            - inbound
            - outbound
            - both
        SipAuthPassword:
          description: The password to use for SIP authentication.
          example: '1234'
          type: string
        SipAuthUsername:
          description: The username to use for SIP authentication.
          example: user
          type: string
        Trim:
          description: >-
            Whether to trim any leading and trailing silence from the recording.
            Defaults to `trim-silence`.
          example: trim-silence
          type: string
          enum:
            - trim-silence
            - do-not-trim
        ConferenceRecord:
          description: >-
            Whether to record the conference the participant is joining.
            Defualts to `do-not-record`. The boolean values `true` and `false`
            are synonymous with `record-from-start` and `do-not-record`
            respectively.
          example: record-from-start
          type: string
          enum:
            - 'true'
            - 'false'
            - record-from-start
            - do-not-record
        ConferenceRecordingStatusCallback:
          description: The URL the conference recording callbacks will be sent to.
          example: https://example.com/conference_recording_status_callback
          type: string
        ConferenceRecordingStatusCallbackMethod:
          description: >-
            HTTP request type used for `ConferenceRecordingStatusCallback`.
            Defaults to `POST`.
          example: GET
          type: string
          enum:
            - GET
            - POST
        ConferenceRecordingStatusCallbackEvent:
          description: >-
            The changes to the conference recording's state that should generate
            a call to `RecoridngStatusCallback`. Can be: `in-progress`,
            `completed` and `absent`. Separate multiple values with a space.
            Defaults to `completed`. `failed` and `absent` are synonymous.
          example: in-progress completed failed absent
          type: string
        ConferenceRecordingTimeout:
          description: >-
            The number of seconds that Telnyx will wait for the recording to be
            stopped if silence is detected. The timer only starts when the
            speech is detected. Please note that the transcription is used to
            detect silence and the related charge will be applied. The minimum
            value is 0. The default value is 0 (infinite)
          example: 5
          type: integer
          default: 0
        ConferenceTrim:
          description: >-
            Whether to trim any leading and trailing silence from the conference
            recording. Defaults to `trim-silence`.
          example: trim-silence
          type: string
          enum:
            - trim-silence
            - do-not-trim
        CustomHeaders:
          description: >-
            Custom HTTP headers to be sent with the call. Each header should be
            an object with 'name' and 'value' properties.
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: The name of the custom header
              value:
                type: string
                description: The value of the custom header
            required:
              - name
              - value
          example:
            - name: X-Custom-Header
              value: custom-value
      example:
        To: '+12065550100'
        From: '+12065550200'
    NewParticipantResource:
      type: object
      title: New participant resource
      example:
        account_sid: 4e71926f-8f13-450e-b91c-23c2ef786aa6
        call_sid: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        coaching: false
        conference_sid: cd5a70f4-759b-4d5e-9c06-88c00f16f3c1
        end_conference_on_exit: false
        hold: false
        muted: false
        status: completed
        uri: >-
          /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json
      properties:
        account_sid:
          type: string
          description: The id of the account the resource belongs to.
          example: 61bf923e-5e4d-4595-a110-56190ea18a1b
        call_sid:
          type: string
          description: The identifier of this participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        coaching:
          type: boolean
          description: Whether the participant is coaching another call.
          example: false
        coaching_call_sid:
          type: string
          description: The identifier of the coached participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        end_conference_on_exit:
          type: boolean
          description: Whether the conference ends when the participant leaves.
          example: false
        hold:
          type: boolean
          description: Whether the participant is on hold.
          example: false
        muted:
          type: boolean
          description: Whether the participant is muted.
          example: false
        status:
          type: string
          description: The status of the participant's call in the conference.
          enum:
            - connecting
            - connected
            - completed
          example: connected
        uri:
          type: string
          description: The relative URI for this participant.
          example: >-
            /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json
        conference_sid:
          type: string
          format: uuid
          description: The unique identifier for the conference.
          example: cd5a70f4-759b-4d5e-9c06-88c00f16f3c1
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
  responses:
    DialParticipantResponse:
      description: New participant resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NewParticipantResource'
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````